For the complete documentation index, see llms.txt. This page is also available as Markdown.

Settle

Settles all short positions in each specified option in the request.

post
Required scopes
This endpoint requires the following scopes:
Authorizations
x-apikeystringRequired
Bodyobject[]
basestringRequiredExample: WETH
quotestringRequiredExample: USDC
expirationstringRequiredExample: 03NOV23Pattern: ^\d\d\w\w\w\d\d$
strikenumberRequiredExample: 1700
typestringRequiredExample: CPattern: ^C$|^P$
Responses
200

Positions settled

application/json
post/pool/settle
POST /pool/settle HTTP/1.1
x-apikey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 80

[
  {
    "base": "WETH",
    "quote": "USDC",
    "expiration": "03NOV23",
    "strike": 1700,
    "type": "C"
  }
]
{
  "success": [
    {
      "base": "WETH",
      "quote": "USDC",
      "expiration": "03NOV23",
      "strike": 1700,
      "type": "P"
    }
  ],
  "failed": [
    {
      "failedOption": {
        "base": "WETH",
        "quote": "USDC",
        "expiration": "03NOV23",
        "strike": 1700,
        "type": "P"
      },
      "reason": "text"
    }
  ]
}

Last updated

Was this helpful?